Page MenuHomePhabricator

Use mw.ForeignApi with anonymous options in Sitemapper module
Closed, ResolvedPublic

Description

There are many instances in Content translation where we use JSONP for cross site read api requests. JSONP is not optimal when we have option to do anonymous cross site requests since T145294: mw.ForeignApi should have an option to perform anonymous requests. We can change the mw.cx.SiteMapper.prototype.getApi to use this and avoid all JSONP

Details

Related Gerrit Patches:
mediawiki/extensions/ContentTranslation : masterext.cx.sitemapper: use mediawiki.ForeignApi

Event Timeline

santhosh created this task.Sep 21 2016, 4:01 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 21 2016, 4:01 AM

Change 312252 had a related patch set uploaded (by Nikerabbit):
ext.cx.sitemapper: use mediawiki.ForeignApi

https://gerrit.wikimedia.org/r/312252

Amire80 triaged this task as Medium priority.Oct 3 2016, 11:35 AM
Amire80 moved this task from Needs Triage to CX10 (July-Sep. 2016) on the ContentTranslation board.

Change 312252 merged by jenkins-bot:
ext.cx.sitemapper: use mediawiki.ForeignApi

https://gerrit.wikimedia.org/r/312252

santhosh closed this task as Resolved.Jun 14 2017, 5:39 AM
santhosh claimed this task.